diff --git a/Makefile b/Makefile
index d71e96b..56f1015 100644
--- a/Makefile
+++ b/Makefile
@@ -10,7 +10,7 @@ MANUAL	:=	debian-reference
 # This can list more than debian/rules for translator to check the result
 LANGPO	:=	ja fr it pt de zh-cn zh-tw es 
 # languages to skip generation of PDF files (not used now)
-NOPDF	:=	ja fr it pt de es
+NOPDF	:=	
 # languages to build document
 LANGALL	=	en $(LANGPO)
 
diff --git a/debian/changelog b/debian/changelog
index 1fffa66..ac4611c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+debian-reference (2.67) UNRELEASED; urgency=medium
+
+  * Add pdf support. Closes: #660298
+
+ -- Osamu Aoki <osamu@debian.org>  Sat, 28 Apr 2017 20:34:09 +0200
+
 debian-reference (2.66) unstable; urgency=medium
 
   * Update Italian, Spanish, and Chinese translations. 
diff --git a/debian/control b/debian/control
index 2373196..af69fed 100644
--- a/debian/control
+++ b/debian/control
@@ -11,7 +11,9 @@ Build-Depends-Indep: docbook-xml,
                      python,
                      w3m,
                      xsltproc,
-                     zip
+                     zip,
+                     fonts-vlgothic,
+                     fonts-wqy-microhei
 Standards-Version: 3.9.8
 Vcs-Git: https://alioth.debian.org/anonscm/git/ddp/debian-reference.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=ddp/debian-reference.git
diff --git a/po/zh-cn.tex b/po/zh-cn.tex
new file mode 100644
index 0000000..676604b
--- /dev/null
+++ b/po/zh-cn.tex
@@ -0,0 +1 @@
+\hyphenation{}
diff --git a/po/zh-tw.tex b/po/zh-tw.tex
new file mode 100644
index 0000000..676604b
--- /dev/null
+++ b/po/zh-tw.tex
@@ -0,0 +1 @@
+\hyphenation{}
diff --git a/xslt/xetex_param.xsl b/xslt/xetex_param.xsl
index 8b62310..81712cb 100644
--- a/xslt/xetex_param.xsl
+++ b/xslt/xetex_param.xsl
@@ -7,49 +7,32 @@
     ############################################################################ -->
 
   <xsl:param name="xetex.font">
-    <!-- Western centric Adobe PostScript looks-alike: gsfonts: missing some odd codes, mono is thin
-    <xsl:text>\setmainfont{Nimbus Roman No9 L}&#10;</xsl:text>
-    <xsl:text>\setsansfont{Nimbus Sans L}&#10;</xsl:text>
-    <xsl:text>\setmonofont{Nimbus Mono L}&#10;</xsl:text>
-    -->
-
-    <!-- Western centric Bitstream Vera Fonts extended: DejaVu: too big ans spaced
-    <xsl:text>\setmainfont{DejaVu Serif}&#10;</xsl:text>
-    <xsl:text>\setsansfont{DejaVu Sans}&#10;</xsl:text>
-    <xsl:text>\setmonofont{DejaVu Sans Mono}&#10;</xsl:text>
-    -->
-
-    <!-- Western centric MS (monotype) fonts looks-alike: Liberation : Best looking --> 
-    <xsl:text>\setmainfont{Liberation Serif}&#10;</xsl:text>
-    <xsl:text>\setsansfont{Liberation Sans}&#10;</xsl:text>
-    <xsl:text>\setmonofont{Liberation Mono}&#10;</xsl:text>
-
-    <xsl:text>\usepackage{xeCJK}&#10;</xsl:text>
     <xsl:choose>
       <xsl:when test="$lingua = 'zh-cn'">
-	<!-- zh_CN centric: ttf-arphic-gbsn00lp, ttf-wqy-zenhei -->
-        <xsl:text>\setCJKmainfont{AR PL SungtiL GB}&#10;</xsl:text>
-        <xsl:text>\setCJKsansfont{WenQuanYi Zen Hei}&#10;</xsl:text>
-        <xsl:text>\setCJKmonofont{WenQuanYi Zen Hei Mono}&#10;</xsl:text>
+	<!-- zh_CN centric: ttf-wqy-zenhei -->
+	<xsl:text>\usepackage{xeCJK}&#10;</xsl:text>
+	<xsl:text>\setCJKmainfont{WenQuanYi Micro Hei}&#10;</xsl:text>
+	<xsl:text>\setCJKsansfont{WenQuanYi Micro Hei}&#10;</xsl:text>
+	<xsl:text>\setCJKmonofont{WenQuanYi Micro Hei Mono}&#10;</xsl:text>
       </xsl:when>
       <xsl:when test="$lingua = 'zh-tw'">
-        <!-- zh_TW centric: ttf-arphic-bsmi00lp, ttf-wqy-zenhei -->
-        <xsl:text>\setCJKmainfont{AR PL Mingti2L Big5}&#10;</xsl:text>
-        <xsl:text>\setCJKsansfont{WenQuanYi Zen Hei}&#10;</xsl:text>
-        <xsl:text>\setCJKmonofont{WenQuanYi Zen Hei Mono}&#10;</xsl:text>
+	<!-- zh_CN centric: ttf-wqy-zenhei -->
+	<xsl:text>\usepackage{xeCJK}&#10;</xsl:text>
+	<xsl:text>\setCJKmainfont{WenQuanYi Micro Hei}&#10;</xsl:text>
+	<xsl:text>\setCJKsansfont{WenQuanYi Micro Hei}&#10;</xsl:text>
+	<xsl:text>\setCJKmonofont{WenQuanYi Micro Hei Mono}&#10;</xsl:text>
       </xsl:when>
-      <xsl:when test="$lingua = 'ko'">
-        <!-- ko centric: ttf-unfonts-core -->
-        <xsl:text>\setCJKmainfont{UnBatang}&#10;</xsl:text>
-        <xsl:text>\setCJKsansfont{UnDotum}&#10;</xsl:text>
-        <xsl:text>\setCJKmonofont{UnDotum}&#10;</xsl:text>
+      <xsl:when test="$lingua = 'ja'">
+        <!-- ja centric: vl-pgothic-regular -->
+	<xsl:text>\usepackage{xeCJK}&#10;</xsl:text>
+	<xsl:text>\setCJKmainfont{VL-PGothic-Regular}&#10;</xsl:text>
+	<xsl:text>\setCJKsansfont{VL-PGothic-Regular}&#10;</xsl:text>
+	<xsl:text>\setCJKmonofont{VL-PGothic-Regular}&#10;</xsl:text>
       </xsl:when>
       <xsl:otherwise>
-        <!-- ja centric: otf-ipafont-mincho otf-ipafont-gothic
-        <xsl:text>\setCJKmainfont{IPAMincho}&#10;</xsl:text>
-        <xsl:text>\setCJKsansfont{IPAPGothic}&#10;</xsl:text>
-        <xsl:text>\setCJKmonofont{IPAGothic}&#10;</xsl:text>
-        -->
+        <xsl:text>\setmainfont{FreeSerif}&#10;</xsl:text>
+        <xsl:text>\setsansfont{FreeSans}&#10;</xsl:text>
+        <xsl:text>\setmonofont{FreeMono}&#10;</xsl:text>
       </xsl:otherwise>
     </xsl:choose>
   </xsl:param>
